%global dlrn_nvr 18.4.2-1.20230131230427.3e47b5a
%global dlrn 1
%define upstream_version 18.4.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-aodh
Version: 18.4.2
Release: 1.20230131230427.3e47b5a%{?dist}
Summary:        Puppet module for OpenStack Aodh
License:        ASL 2.0

URL:            https://launchpad.net/puppet-aodh

Source0: 18.4.2-1.20230131230427.3e47b5a.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=3e47b5ac9dc4f205a73c8ccbfbebdc47902d53d5

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Aodh

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-aodh-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/



%files
%{_datadir}/openstack-puppet/modules/aodh/


%changelog
* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230131230427.3e47b5a
- Update patches
- Add support for MultiStrOpt

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108085933.780fa3b
- Update patches
- setuptools: Disable auto discovery

* Wed Aug 31 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220831153724.402192e
- Update patches
- Use openstack_spec_helper from zuul checkout

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728012146.5817b59
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220712165301.5817b59
- Update patches

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217233557.5817b59
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204002538.5817b59
- Update patches
- Prepare a new Wallaby release

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210827001814.4551518
- Update patches
- Fix ignored parameters of aodh::auth

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210603233109.26b04ed
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210528153827.6eaba89
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210512232811.6eaba89
- Update patches
- Consolidate Redis install to ensure_packages

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Add puppetlabs-apache to dependencies
- Add support for the oslo_policy/enforce_scope parameter

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3
- Fix the error raised when password is not set

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for healthcheck middleware options

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use consistent names for service_credentials options
- Remove the deprecated parameters of aodh::auth

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure coordination_url is unset by default
- Add support for workers option

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use yaml instead of json for policy file

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow db sync timeouts to be configurable

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate database options from the aodh class

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a 'params' hash for authtoken parameters

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the keystone_authtoken/service_type parameter

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare new minor release for victoria ga

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria GA
- Fix inconsistent parameter name in aodh::params
- Manage aodh-expirer package by aodh::expirer class

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rspec-puppet 2.7.1 support

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant usage of undef

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mysql_enable_ndb option

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add mysql_enable_ndb option
- Add mysql_enable_ndb option

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mysql_enable_ndb option

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for aodh-expirer cron job

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose vhost_custom_fragment

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for quota parameters

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix beaker-rspec url

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix incorrect default value in parameter description

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq version in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename tenant to project
- Use domain_name instead of domain_id

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken unit tests because of list in notification drivers

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure to distinguish Fedora and RHEL/CentOS
- Expect python3-redis in CentOS8 and Fedora

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expect python3 client package in CentOS8

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow wsgi script to be configurable

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add executor_thread_pool_size

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train



